# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

dothejob() 
{

echo "   "
echo "================================================="
echo "  CUSTOM Cross Element Build" 
echo "================================================="
echo "   "

cd $vFpcSrcDir

# ------------------- Make Links -------------------------------------
if [ -f $vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/fpcmake ] ;
then
  sudo ln -f -s $vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/fpcmake /usr/bin/fpcmake
fi

if [ -f $vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/${cbTARGETCPUOS}-as ] ;
then 
  sudo ln -f -s $vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/${cbTARGETCPUOS}-as /usr/bin/${cbTARGETCPUOS}-as
fi

# -------------------------------------------------------------------
# sleep 120
# -------------------------------------------------------------------
echo "   "
echo "------------------------------------------------"
echo "       Stage 1: Build Cross Compiler Executable" 
echo "------------------------------------------------"

if [ $vOSName = solaris ] ;
then   
  sudo $vMake compiler_cycle CROSSINSTALL=1 CPU_TARGET=$cbTARGETCPU OS_TARGET=$cbTARGETOS BINUTILSPREFIX=${cbTARGETCPUOS}- FPC=$vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/$cbFPCStartEXE SUBARCH=armv4 OPT="-Xn" 
else  
  sudo $vMake compiler_cycle CROSSINSTALL=1 CPU_TARGET=$cbTARGETCPU OS_TARGET=$cbTARGETOS BINUTILSPREFIX=${cbTARGETCPUOS}- FPC=$vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/$cbFPCStartEXE SUBARCH=armv4
fi

if [ ! -f $vFpcSrcDir/compiler/$cbFPCCrossEXE ] ;
then  
  echo "???????????????????????????????????????????????????????????"
  echo " [ERROR]:Cross compiler $cbFPCCrossEXE  NOT Builded"
  echo "         sorry, Cross Build procedure STOP" 
  echo "??????????????????????????????????????????????????????????"
  docleanall
  exit
else
 sudo cp -f $vFpcSrcDir/compiler/$cbFPCCrossEXE $vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/
 sudo chmod -R 777 $vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS
 echo "   "
 echo "[INFO]: !!! Cross compiler Executable $cbFPCCrossEXE, Build OK. !!!"
 echo "   "
fi

# -------------------------------------------------------------------
# sleep 120
# -------------------------------------------------------------------
echo "   "
echo "------------------------------------------------"
echo "       Stage 2: Build All Units and Packages" 
echo "------------------------------------------------"

sudo $vMake rtl CROSSINSTALL=1 CPU_TARGET=$cbTARGETCPU OS_TARGET=$cbTARGETOS BINUTILSPREFIX=${cbTARGETCPUOS}- FPC=$vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/$cbFPCCrossEXE SUBARCH=armv4

# -------------------------------------------------------------------
# sleep 120
# -------------------------------------------------------------------
echo "   "
echo "------------------------------------------------"
echo "       Stage 3: Install All Units and Packages " 
echo "------------------------------------------------"

sudo $vMake rtl_install CROSSINSTALL=1 CPU_TARGET=$cbTARGETCPU OS_TARGET=$cbTARGETOS BINUTILSPREFIX=${cbTARGETCPUOS}- FPC=$vFpcDir/fpc$cbBits/bin/$cbFPCCPUOS/$cbFPCCrossEXE PREFIX=/usr/local/codetyphon/fpc/newfpc SUBARCH=armv4

# ------------------- REMOVE Link -------------------------------------

if [ -f /usr/bin/${cbTARGETCPUOS}-as ] ;
then
  sudo rm -f /usr/bin/${cbTARGETCPUOS}-as
fi

}

#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

# =================== MAIN =============================
. /usr/local/codetyphon/ScriptsLin/ln_All_Functions.sh
getvalues

cbFPCType=$1
cbFPCCPUOS=$2
cbFPCStartEXE=$3
cbTARGETCPU=$4
cbTARGETOS=$5
cbFPCCrossEXE=$6
cbParam=$7

cbTARGETCPUOS=${cbTARGETCPU}-${cbTARGETOS}

if [ $cbParam = xxxx ] ; 
then 
  cbbincross=${cbFPCType}-${cbTARGETCPUOS}
else
  cbbincross=${cbFPCType}-${cbTARGETCPUOS}--${cbParam}
fi


#-------- Find Bits -------------------
case $cbFPCType in 
 *32*)
    cbBits=32
    ;; 
 *)
    cbBits=64
    ;;    
esac

dothejob

