# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================


# ======================= for Unix ===============================
dothejob_unix() 
{

if [ -f $vCTDir/allzips/binqt/qt5-${vCPUOS}.7z ] ;
then 

  if [ ! -d $vCTDir/qt5pas/ ] ;
   then  
     sudo mkdir $vCTDir/qt5pas/
     sudo chmod -R 777 $vCTDir/qt5pas/
   fi 

  sudo $v7zipexe x ${vCTDir}/allzips/binqt/qt5-${vCPUOS}.7z -o${vCTDir}/qt5pas/ -y 
  sudo chmod -R 777 $vCTDir/qt5pas/
  echo "-------------------- " 
  echo "[INFO] Install OK prebuild qt5pas Libraries for ${vCPUOS}" 

else 
  echo "  " 
  echo "[INFO] Prebuild qt5pas Libraries for ${vCPUOS} NOT exists" 
  echo "[INFO] START qt5pas builder..." 
  echo "  " 

cd $vCTDir/ScriptsLin

./ln_Typhon1_qt5pas_Build.sh

fi
 
cd $vCTDir/ScriptsLin
}

# ======================= for MacOS ===============================
dothejob_macos() 
{

if [ -f $vCTDir/allzips/binqt/qt5-${vCPUOS}.7z ] ;
then 

  if [ ! -d $vCTDir/qt5pas/ ] ;
   then  
     sudo mkdir $vCTDir/qt5pas/
     sudo chmod -R 777 $vCTDir/qt5pas/
   fi 

  sudo $v7zipexe x ${vCTDir}/allzips/binqt/qt5-${vCPUOS}.7z -o${vCTDir}/qt5pas/ -y 
  sudo chmod -R 777 $vCTDir/qt5pas/
  echo "-------------------- " 
  echo "[INFO] Install OK prebuild qt5pas Libraries for ${vCPUOS}" 

else 
  echo "  " 
  echo "[INFO] Prebuild qt5pas Libraries for ${vCPUOS} NOT exists" 
  echo "[INFO] START qt5pas builder..." 
  echo "  " 

cd $vCTDir/ScriptsLin

./ln_Typhon1_qt5pas_Build.sh

fi
 
cd $vCTDir/ScriptsLin
}

# ======================= dothejob ===========================
dothejob() 
{
if [ $vOSName = darwin ] ;
then

  if [ $vBits = 64 ] ;
  then 
   dothejob_unix
  fi  

else

dothejob_unix

fi
}

#========================MAIN===========================
. $PWD/ln_All_Functions.sh
getvalues

echo "---------------------------------------------------------"
echo "    Install prebuild qt5pas Libraries"   
echo "---------------------------------------------------------"

dothejob

if [ $vUseMultiArch = 1 ] ;
then 
  setdummy32
  dothejob 
fi

./ln_Typhon1_QT5pas_Make_Links.sh


