# =============================================================
#               CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
#
#     This Script Install to OpenBSD OS
#     base libraries to Build and Run CodeTyphon
# =============================================================
#Update 15-07-2015 for OpenBSD 5.7
#Update 23-04-2019 for OpenBSD 6.4
#Update 24-04-2019 for OpenBSD 6.5
#Update 18-10-2019 for OpenBSD 6.6


ciplatiform=$1
cicpubits=$2
cicpuname=$3
ciUseMultiArch=$4

#========================================================

echo "----------------------------------------------------"
echo " CodeTyphon OS Libraries Installation for" 
echo "                OpenBSD" 
echo "----------------------------------------------------"
echo "   "

# export PKG_PATH=http://ftp.openbsd.org/pub/OpenBSD/$(uname -r)/packages/$(machine -a)/
# It's usually a good idea to add a line similar to the above to your ~/.profile

sudo /sbin/ldconfig -m -v

sudo pkg_add -r xtermset
sudo pkg_add -r zip 
sudo pkg_add -r unzip
sudo pkg_add -r wget

sudo pkg_add -r gcc 
sudo pkg_add -r gdb 
sudo pkg_add -r binutils 
sudo pkg_add -r gmake

sudo pkg_add -r libiconv 
sudo pkg_add -r xorg
sudo pkg_add -r libx11 
sudo pkg_add -r libXtst

sudo pkg_add -r xorg-fonts-type1
sudo pkg_add -r liberation-fonts-ttf

# Install libraries for GTK2
if [ $ciplatiform = 0 ] ; 
then
    echo "   "
    echo "[INFO] Install libraries for GTK2"
    echo "   "
    sudo pkg install -y gtkglext  
fi

# Install libraries for QT4
if [ $ciplatiform = 1 ] ; 
then
    echo "   "
    echo "[INFO] Install libraries for QT4"
    echo "   "
    sudo pkg_add -r libqt4-dev 
    sudo pkg_add -r qt4-qmake    
fi

# Install libraries for GTK3
if [ $ciplatiform = 3 ] ; 
then
    echo "   "
    echo "[INFO] Install libraries for GTK3"
    echo "   "
    sudo pkg_add -r gtk+-3.0   
fi

# Install libraries for QT5
if [ $ciplatiform = 7 ] ; 
 then
    echo "   "
    echo "[INFO] Install libraries for QT5"
    echo "   "
    sudo pkg_add -r libqt5-dev 
    sudo pkg_add -r qt5-qmake  
fi

sudo /sbin/ldconfig -m -v

echo "----------------------------------------------------"
echo "CodeTyphon OS Libraries Installation"  
echo "Finish !!!"

#sleep 5
